%define oname	OpenLP

Summary:	Open source Church presentation and lyrics projection application
Name:		openlp
Version:	2.4.6
Release:	%mkrel 2
URL:		http://openlp.org/
Source0:	https://get.openlp.org/%{version}/%{oname}-%{version}.tar.gz
License:	GPLv2
Group:		Publishing
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	qt5-devel
BuildRequires:	qttools5
Requires:	vlc
Requires:	python3-qt5
Requires:	python3-qt4-phonon
Requires:	phonon-backend
Requires:	python3-beautifulsoup4
Requires:	python3-chardet
Requires:	python3-lxml
Requires:	python3-sqlalchemy
Requires:	python3-enchant
Requires:	python3-mako
Requires:	python3-sip
Requires:	python-sqlalchemy-migrate
Requires:	hicolor-icon-theme
Requires:	libreoffice-graphicfilter
Requires:	libreoffice-impress
Requires:	libreoffice-headless
Requires:	ghostscript

%description
openlp is a church presentation software, for lyrics projection software,
used to display slides of Songs, Bible verses, videos, images, and
presentations via LibreOffice using a computer and projector.


%prep
%setup -q -n %{oname}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build -O1 --prefix=%{_prefix} --root=%{buildroot}

install -m644 -p -D resources/images/openlp-logo-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/openlp.svg

desktop-file-install --dir %{buildroot}/%{_datadir}/applications resources/openlp.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/openlp.desktop

mv %{buildroot}%{_bindir}/openlp.py %{buildroot}%{_bindir}/openlp

mkdir -p %{buildroot}%{_datadir}/openlp/i18n/
for TSFILE in resources/i18n/*.ts; do
    lrelease $TSFILE -qm %{buildroot}%{_datadir}/openlp/i18n/`basename $TSFILE .ts`.qm;
done
mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -p resources/openlp.xml %{buildroot}%{_datadir}/mime/packages
install -m644 documentation/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc copyright.txt
%{_bindir}/openlp
%{_datadir}/mime/packages/openlp.xml
%{_datadir}/applications/openlp.desktop
%{_datadir}/icons/hicolor/*/apps/openlp.*
%{_datadir}/openlp
%{python3_sitelib}/openlp/
%exclude %{python3_sitelib}/resources/
%exclude %{python3_sitelib}/tests/
%{python3_sitelib}/%{oname}-%{version}*.egg-info
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Apr 02 2017 solbu <solbu> 2.4.6-2.mga6
+ Revision: 1095705
- New version: 2.4.6

* Sun Mar 05 2017 solbu <solbu> 2.4.5-2.mga6
+ Revision: 1088774
- Fix missing Requires

* Sat Mar 04 2017 solbu <solbu> 2.4.5-1.mga6
+ Revision: 1088718
- New version

* Tue Feb 02 2016 umeabot <umeabot> 2.0.5-5.mga6
+ Revision: 931295
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 749669
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.5-3.mga5
+ Revision: 727524
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.5-2.mga5
+ Revision: 683223
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 solbu <solbu> 2.0.5-1.mga5
+ Revision: 641459
- Fix URL
- New version
- New version

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Dec 18 2013 solbu <solbu> 2.0.3-1.mga4
+ Revision: 558576
- New version

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 542881
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.1-3.mga4
+ Revision: 497967
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 362048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 solbu <solbu> 2.0.1-1.mga3
+ Revision: 340676
- New version

* Sun Dec 02 2012 solbu <solbu> 2.0-1.mga3
+ Revision: 325130
- Fix Requires
- New version

* Sun Oct 21 2012 solbu <solbu> 1.9.12-3.mga3
+ Revision: 308638
- Fix BuildRequire

* Tue Oct 09 2012 solbu <solbu> 1.9.12-2.mga3
+ Revision: 303767
- Use correct phonon Requires

* Mon Sep 24 2012 solbu <solbu> 1.9.12-1.mga3
+ Revision: 296990
- Fix BuildRequires
- Fix Requires
- Spec cleanup
- New version
- Import Fedora package

